# add (authorized)

**POST authorized/add**

{% hint style="info" %}
Method works similar to the `api/add` with two additional fields:

• clientId: The ID of the client for whom the order is placed.\
• liquidation: Optional boolean flag to indicate if the trade is a liquidation (default is false).

Please note, that authorized QS orders are not available yet. QS-related fields will be ignored.
{% endhint %}

{% tabs %}
{% tab title="Payload" %}

```json
{
    "instrument": "BTC-USD",
    "clientOrderId": 123456789,
    "price": 999900000000,
    "size": 10000000,
    "side": "bid",
    "type": "limitIOC",
    "clientId": 5,
    "liquidation": true
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
{
    "id": 1245,
    "remainingSize": 8000000,
    "clientOrderId": 123456789,
    "cancelReason": 2,
    "deals": [
        {
            "counterpartyId": 42,
            "id": 23,
            "price": 999900000000,
            "size": 2000000,
            "volume": 19998000000,
            "delta": 0
        }
    ]
}
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/trading/adding-orders/add-authorized.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
